
package Text::Wigwam::Stash::Base::Magic::Glob;

use strict;
use warnings;
no warnings 'uninitialized';

our $VERSION = '0.01';

use base 'Text::Wigwam::Stash::Base::Magic';

sub Hash   { return \%{*{$_[1]}} }
sub Array  { return \@{*{$_[1]}} }
sub Scalar { return \${*{$_[1]}} }
sub String { return  ${*{$_[1]}} }
sub Code   { return \&{*{$_[1]}} }

1;
